Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.dataview
Class DOListModel

    java.lang.Object
      javax.swing.AbstractListModel
          org.objectstyle.cayenne.dataview.DOListModel

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, javax.swing.ListModel, DataObjectChangeListener, FieldValueChangeListener

Direct Known Subclasses:
  DOComboBoxModel

    public class DOListModel

extends javax.swing.AbstractListModel
implements DataObjectChangeListener, FieldValueChangeListener

A Swing ListModel wrapping `DataObjectList`.

Since:
  1.1
See Also:
  Serialized Form

Field Summary
`protected DataObjectList` | `dataObjects`
`protected ObjEntityViewField` | `viewField`

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`DOListModel()`

Method Summary
`void` | `dataChanged(DataObjectChangeEvent event)`
`void` | `fieldValueChanged(FieldValueChangeEvent event)`
`DataObject` | `getDataObject(int index)`
`DataObjectList` | `getDataObjects()`
`java.lang.Object` | `getElementAt(int index)`
`int` | `getSize()`
`ObjEntityViewField` | `getViewField()`
`void` | `setDataObjects(DataObjectList dataObjects)`
`void` | `setViewField(ObjEntityViewField field)`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewField

    protected ObjEntityViewField viewField

### dataObjects

    protected DataObjectList dataObjects

Constructor Detail

### DOListModel

    public DOListModel()

Method Detail

### setViewField

    public void setViewField(ObjEntityViewField field)

### setDataObjects

    public void setDataObjects(DataObjectList dataObjects)

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `javax.swing.ListModel`

### getDataObject

    public DataObject getDataObject(int index)

### getElementAt

    public java.lang.Object getElementAt(int index)

  Specified by:
    `getElementAt` in interface `javax.swing.ListModel`

### dataChanged

    public void dataChanged(DataObjectChangeEvent event)

  Specified by:
    `dataChanged` in interface `DataObjectChangeListener`

### getViewField

    public ObjEntityViewField getViewField()

### getDataObjects

    public DataObjectList getDataObjects()

### fieldValueChanged

    public void fieldValueChanged(FieldValueChangeEvent event)

  Specified by:
    `fieldValueChanged` in interface `FieldValueChangeListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.